using AutoMapper;
using ConstructorApp.DtoLayer.ProjectGalleryDto;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorAppApi.Mapping
{
    public class ProjectGalleryMapping : Profile
    {
        public ProjectGalleryMapping()
        {
            CreateMap<ProjectGallery, ResultProjectGalleryDto>().ReverseMap();
            CreateMap<ProjectGallery, GetProjectGalleryDto>().ReverseMap();
            CreateMap<ProjectGallery, CreateProjectGalleryDto>().ReverseMap();
            CreateMap<ProjectGallery, UpdateProjectGalleryDto>().ReverseMap();
        }
    }
}
